/*
 * Copyright (c) 2000-2009 TeamDev Ltd. All rights reserved.
 * TeamDev PROPRIETARY and CONFIDENTIAL.
 * Use is subject to license terms.
 */
package com.jniwrapper.win32.hook.data;

import com.jniwrapper.Int;
import com.jniwrapper.Parameter;
import com.jniwrapper.win32.Msg;

/**
 * @author Serge Piletsky
 */
class SysMsgProcHookData extends AbstractHookData
{
    private Int code = new Int();
    private Msg msg = new Msg();

    public SysMsgProcHookData()
    {
        init(new Parameter[]{_hookHandle, _syncronous, _eventDescriptor, code, msg}, (short) 1);
    }

    long getCode()
    {
        return code.getValue();
    }

    Msg getMsg()
    {
        return msg;
    }
}